Mailrelay API Reference

Get a single SMS sent campaign

GET https://{account}/api/v1/sms/sent_campaigns/{id}

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Get a single SMS sent campaign

Parameters

NameTypeRequiredDescription
id integer Yes ID of the record

Responses

StatusDescription
200 Success
404 Couldn't find record with provided ID.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer Id
name string Name
sender_name string Sender name
message string Message
status string Status
target string Target
sent_messages_count integer Sent messages count
scheduled_at string Scheduled at
created_at string Created at
updated_at string Updated at
finished_at string Finished at
track_links boolean Track links